Page MenuHomeFreeBSD

Use information about max data size that the controller is able to operate
ClosedPublic

Authored by kibab on Jun 18 2018, 9:54 PM.

Details

Summary

Using DFLTPHYS/MAXPHYS is not always OK, instead make it possible for the
controller driver to provide maximum data size to MMCCAM, and use it there.

The old stack already does this.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kibab created this revision.Jun 18 2018, 9:54 PM
manu accepted this revision.Jun 18 2018, 9:57 PM

The Allwinner part seems ok.

This revision is now accepted and ready to land.Jun 18 2018, 9:57 PM
kibab added 1 blocking reviewer(s): imp.Jun 19 2018, 11:29 AM
This revision now requires review to proceed.Jun 19 2018, 11:29 AM
imp added inline comments.Jul 18 2018, 10:23 PM
sys/cam/mmc/mmc_da.c
1514 ↗(On Diff #44046)

min(<this stuff>, MAXPHYS);

sys/dev/sdhci/sdhci.c
2524 ↗(On Diff #44046)

where does the mmc.host_maxa_data get set here? It looks like the break should be deleted and then 'else max_data = 65536;' added.

bz added a subscriber: bz.Nov 12 2018, 3:11 PM
kibab marked 2 inline comments as done.Mar 19 2019, 10:38 PM
kibab updated this revision to Diff 55256.Mar 19 2019, 10:43 PM
  • Address comments in D15892 wrt max_data setting and MIN(MAX_PHYS,...)
  • MIN(MAXPHYS) for D15892
imp accepted this revision.Apr 1 2019, 6:24 PM
This revision is now accepted and ready to land.Apr 1 2019, 6:24 PM
This revision was automatically updated to reflect the committed changes.